Access keys
GET
/organizations/{organizationId}/access-keys
List the access keys that are created for this organization.
Parámetros de consulta
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Cuerpo de la respuesta
results
array of object
obligatorio
List of access keys.
Mostrar atributos secundarios
results.id
string
obligatorio
ID of the access key.
results.organizationId
string
obligatorio
ID of the organization that owns the access key.
results.name
string
obligatorio
Access key name.
results.type
string
Possible values: user, workspace, workspace-scim, service, organization
results.description
string
Access key description.
results.suffix
string
obligatorio
Access key suffix.
results.lastUsedAt
string
When the access key was last used.
results.createdAt
string
obligatorio
When the access key was created.
results.updatedAt
string
When the access key was last updated.
results.roleIds
array of string
IDs of IAM roles attached to the access key.
results.roleRefs
array of object
The list of IAM roles assigned to the access key.
Mostrar atributos secundarios
results.roleRefs.id
string
obligatorio
results.roleRefs.type
string
obligatorio
Possible values: organization, managed
results.roleRefs.workspaces
array of string
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/access-keys
Create a new access key for the organization.
Cuerpo de la solicitud
name
string
obligatorio
Access key name.
description
string
obligatorio
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Mostrar parámetros secundarios
roleRefs.id
string
obligatorio
roleRefs.type
string
obligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
Cuerpo de la respuesta
accessKey
object
obligatorio
The access key record.
Mostrar atributos secundarios
accessKey.id
string
obligatorio
ID of the access key.
accessKey.organizationId
string
obligatorio
ID of the organization that owns the access key.
accessKey.name
string
obligatorio
Access key name.
accessKey.type
string
Possible values: user, workspace, workspace-scim, service, organization
accessKey.description
string
Access key description.
accessKey.suffix
string
obligatorio
Access key suffix.
accessKey.lastUsedAt
string
When the access key was last used.
accessKey.createdAt
string
obligatorio
When the access key was created.
accessKey.updatedAt
string
When the access key was last updated.
accessKey.roleIds
array of string
IDs of IAM roles attached to the access key.
accessKey.roleRefs
array of object
The list of IAM roles assigned to the access key.
Mostrar atributos secundarios
accessKey.roleRefs.id
string
obligatorio
accessKey.roleRefs.type
string
obligatorio
Possible values: organization, managed
accessKey.roleRefs.workspaces
array of string
token
string
obligatorio
The token that can be used for authentication
Ejemplo de código
curl -X POST 'https://api.bird.com/organizations/{organizationId}/access-keys' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/access-keys/{accessKeyId}
Retrieve a single access key.
Cuerpo de la respuesta
id
string
obligatorio
ID of the access key.
organizationId
string
obligatorio
ID of the organization that owns the access key.
name
string
obligatorio
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
obligatorio
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
obligatorio
When the access key was created.
updatedAt
string
When the access key was last updated.
roles
array of object
obligatorio
IAM roles attached to this access key.
Mostrar atributos secundarios
roles.accessKeysDependencyCount
integer
obligatorio
The number of access keys this role is assigned to.
roles.actions
array of object
Actions this role contains.
Mostrar atributos secundarios
roles.actions.name
string
obligatorio
The name of the action.
roles.actions.type
string
obligatorio
The type that the action belongs to.
roles.createdAt
string
obligatorio
When this role was created.
roles.description
string
Role description.
roles.id
string
obligatorio
ID of the role.
roles.metadata
object
Metadata for the IAM Role.
Mostrar atributos secundarios
roles.metadata.clouds
array of string
roles.name
string
obligatorio
Role name.
roles.organizationId
string
ID of the organization to which this role belongs.
roles.policies
array of object
obligatorio
IAM Policies this role contains.
Mostrar atributos secundarios
The IAM policy record.
roles.policies.createdAt
string
obligatorio
When the IAM Policy was created.
roles.policies.definitions
array of object
obligatorio
List of IAM Policy definitions.
Mostrar atributos secundarios
roles.policies.definitions.actions
array of string
obligatorio
A list of actions
roles.policies.definitions.conditionsAll
array of object
Mostrar atributos secundarios
roles.policies.definitions.conditionsAll.any
object
roles.policies.definitions.effect
string
obligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
roles.policies.definitions.resources
array of string
obligatorio
A list of resources
roles.policies.description
string
IAM Policy description.
roles.policies.id
string
obligatorio
ID of the IAM Policy.
roles.policies.metadata
object
Metadata for the IAM Policy.
Mostrar atributos secundarios
roles.policies.metadata.apps
array of string
roles.policies.metadata.clouds
array of string
roles.policies.metadata.groups
array of string
roles.policies.name
string
obligatorio
IAM Policy name.
roles.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
roles.policies.scope
string
obligatorio
The scope to which this policy applies.
Possible values: organization, root
roles.policies.updatedAt
string
obligatorio
When the IAM Policy was last updated.
roles.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
roles.policies.id
string
obligatorio
ID of the IAM Policy.
roles.policies.type
string
obligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
roles.type
string
obligatorio
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
roles.updatedAt
string
obligatorio
When this role was last updated.
roles.usersDependencyCount
integer
obligatorio
The number of users this role is assigned to.
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/access-keys/{accessKeyId}
Remove the access key from the organization.
Ejemplo de código
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/access-keys/{accessKeyId}
Update the access key's properties.
Cuerpo de la solicitud
name
string
Access key name.
description
string
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Mostrar parámetros secundarios
roleRefs.id
string
obligatorio
roleRefs.type
string
obligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
Cuerpo de la respuesta
id
string
obligatorio
ID of the access key.
organizationId
string
obligatorio
ID of the organization that owns the access key.
name
string
obligatorio
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
obligatorio
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
obligatorio
When the access key was created.
updatedAt
string
When the access key was last updated.
roleIds
array of string
IDs of IAM roles attached to the access key.
roleRefs
array of object
The list of IAM roles assigned to the access key.
Mostrar atributos secundarios
roleRefs.id
string
obligatorio
roleRefs.type
string
obligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
Ejemplo de código
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'